[gentoo-commits] repo/proj/guru:master commit in: net-libs/yder/

2023-11-11 Thread David Roman
commit: be95a2a2ed51449485c571284a6c9257433f5c2a
Author: Kurt Kanzenbach  kmk-computers  de>
AuthorDate: Sat Nov 11 12:05:57 2023 +
Commit: David Roman  gmail  com>
CommitDate: Sat Nov 11 12:08:44 2023 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=be95a2a2

net-libs/yder: Correct dependency

Yder depends on orcania instead on itself.

Signed-off-by: Kurt Kanzenbach  kmk-computers.de>

 net-libs/yder/yder-1.4.20.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-libs/yder/yder-1.4.20.ebuild b/net-libs/yder/yder-1.4.20.ebuild
index 62576e118b..453c630775 100644
--- a/net-libs/yder/yder-1.4.20.ebuild
+++ b/net-libs/yder/yder-1.4.20.ebuild
@@ -20,7 +20,7 @@ BDEPEND="
app-doc/doxygen
media-gfx/graphviz
)
-   net-libs/yder
+   net-libs/orcania
systemd? (
sys-apps/systemd
)



[gentoo-commits] repo/proj/guru:master commit in: net-libs/yder/

2023-11-11 Thread David Roman
commit: f52f6217de984bb95bc65858c4c55a5343d56069
Author: Kurt Kanzenbach  kmk-computers  de>
AuthorDate: Sat Nov 11 10:13:07 2023 +
Commit: David Roman  gmail  com>
CommitDate: Sat Nov 11 10:13:07 2023 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f52f6217

net-libs/yder: Add missing dependency

Add missing dependency yder.

Closes: https://bugs.gentoo.org/917146
Signed-off-by: Kurt Kanzenbach  kmk-computers.de>

 net-libs/yder/yder-1.4.20.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/net-libs/yder/yder-1.4.20.ebuild b/net-libs/yder/yder-1.4.20.ebuild
index 1f22fd0cec..62576e118b 100644
--- a/net-libs/yder/yder-1.4.20.ebuild
+++ b/net-libs/yder/yder-1.4.20.ebuild
@@ -20,6 +20,7 @@ BDEPEND="
app-doc/doxygen
media-gfx/graphviz
)
+   net-libs/yder
systemd? (
sys-apps/systemd
)



[gentoo-commits] repo/proj/guru:master commit in: net-libs/yder/

2023-11-10 Thread David Roman
commit: 6dc7020482fc269f6c18e5a8d9b483666bf1ee49
Author: Kurt Kanzenbach  kmk-computers  de>
AuthorDate: Tue Nov  7 19:28:27 2023 +
Commit: David Roman  gmail  com>
CommitDate: Thu Nov  9 18:01:12 2023 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6dc70204

net-libs/yder: new package, add 1.4.20

Signed-off-by: Kurt Kanzenbach  kmk-computers.de>

 net-libs/yder/Manifest   |  1 +
 net-libs/yder/metadata.xml   | 20 +++
 net-libs/yder/yder-1.4.20.ebuild | 53 
 3 files changed, 74 insertions(+)

diff --git a/net-libs/yder/Manifest b/net-libs/yder/Manifest
new file mode 100644
index 00..d4c1f8f9b0
--- /dev/null
+++ b/net-libs/yder/Manifest
@@ -0,0 +1 @@
+DIST yder-1.4.20.tar.gz 30058 BLAKE2B 
e063f1c400a9d205022b58540d5991753c6111be79e0a85476ac31b111db5f7de04dc7e3deaf271e86d00be2a9330d6a28489f8c803781e35082d025e3edf8a6
 SHA512 
5866558e5d23acd4d82459433449dcbca2c9ab8744f7bc23fc6e4b1349fe683bfa396897e0c38d10b08a52b03fe26fa7bf83cc2e11a0b10066cb6dedf5bb499b

diff --git a/net-libs/yder/metadata.xml b/net-libs/yder/metadata.xml
new file mode 100644
index 00..6c9a357deb
--- /dev/null
+++ b/net-libs/yder/metadata.xml
@@ -0,0 +1,20 @@
+
+https://www.gentoo.org/dtd/metadata.dtd;>
+
+  
+k...@kmk-computers.de
+Kurt Kanzenbach
+  
+  
+Logging library written in C.
+
+Simple and easy to use logging library. You can log messages to the 
console,
+a file, Syslog, journald or a callback function.
+
+Yder is mono-thread, which mean that you can use only one instance of Yder
+log at the same time in your program.
+  
+  
+babelouest/yder
+  
+

diff --git a/net-libs/yder/yder-1.4.20.ebuild b/net-libs/yder/yder-1.4.20.ebuild
new file mode 100644
index 00..1f22fd0cec
--- /dev/null
+++ b/net-libs/yder/yder-1.4.20.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Logging library for C applications"
+HOMEPAGE="https://github.com/babelouest/yder/;
+SRC_URI="https://github.com/babelouest/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc systemd"
+RESTRICT="test"
+
+BDEPEND="
+   doc? (
+   app-doc/doxygen
+   media-gfx/graphviz
+   )
+   systemd? (
+   sys-apps/systemd
+   )
+   virtual/pkgconfig
+"
+DEPEND="
+"
+RDEPEND="
+   ${DEPEND}
+"
+
+src_configure() {
+   local mycmakeargs=(
+   -DBUILD_YDER_DOCUMENTATION=$(usex doc)
+   -DWITH_JOURNALD=$(usex systemd)
+   )
+
+   sed -i -e "s/-Werror//g" CMakeLists.txt || die
+
+   cmake_src_configure
+}
+
+src_compile() {
+   cmake_src_compile
+   use doc && cmake_build doc
+}
+
+src_install() {
+   use doc && local HTML_DOCS=( doc/html/* )
+   cmake_src_install
+}